<table *ngIf="product">
  <tr>
    <td>Title</td>
    <td>{{ product.title }}</td>
  </tr>
  <tr>
    <td>Description</td>
    <td>{{ product.description }}</td>
  </tr>
  <tr>
    <td>Price</td>
    <td>{{ product.price }}</td>
  </tr>
  <tr>
    <td>Discount</td>
    <td>{{ product.discountPercentage }}%</td>
  </tr>
  <tr>
    <td>Stock</td>
    <td>{{ product.stock }} Pcs</td>
  </tr>
  <tr>
    <td>Brand</td>
    <td>{{ product.brand }}</td>
  </tr>
  <tr>
    <td>Category</td>
    <td>{{ product.category }}</td>
  </tr>
  <tr>
    <td>Thumbnail</td>
    <!-- <td class="image-slider">
      <button (click)="showPreviousImage()">Previous</button>
      <img
        [src]="imageUrls[currentImageIndex]"
        alt="{{ product.description }}"
      />
      <button (click)="showNextImage()">Next</button>
    </td> -->

    <img
        [src]="product.thumbnail"
        alt="{{ product.description }}"
      />
  </tr>
</table>

<article>
  <button (click)="back()" class="button-solid">Back</button>
</article>
